For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create transaction

Creates an onramp transaction

This endpoint will create an onramp transaction.

Note:

  • Supported Currencies: To view the list of all the fiat currencies supported by Onramp, click here.

  • Payment methods: To retrieve the payment methods for all supported fiat currencies for Onramp, click here.

  • Supported paymentMethodType values:

  • For INR -> UPI, IMPS

  • For TRY -> TRY_BANK_TRANSFER

  • For AED -> AED-BANK-TRANFER

  • For MXN -> SPEI

  • For EUR -> SEPA_BANK_TRANSFER

  • For IDR -> IDR_BANK_TRANSFER

  • For GBP -> FASTER_PAYMENTS

  • For VND -> VIET-QR

  • For NGN -> NG-BANK-TRANSFER

  • For BRL -> PIX

  • For ZAR -> ZAR-BANK-TRANSFER

  • For THB -> THAI_QR

AED Onramp Transaction Flow

  1. Add a fiat account using the Add Fiat Account API or through the Bank Widget Url.

  2. Retrieve the fiatAccountId from the List FiatAccounts API and include this ID in the createTransaction request.

Create an Onramp transaction.

POST https://api.onramp.money/onramp/api/v2/whiteLabel/onramp/createTransaction

Request Body

Name
Type
Description

fromCurrency*

String

Base currency of the trading pair E.g. of fromCurrency:

INR | TRY | AED | MXN | IDR | EUR

toCurrency*

String

Quote currency of the trading pair

E.g. of toCurrency: usdc | usdt | eth

chain*

String

supported networks by onramp for onchain transactions

E.g. of supported networks:

usdt - bep20 | matic20 | erc20 | trc20

usdc - bep20 | matic20

busd - bep20

eth - erc20 | matic20

paymentMethodType*

String

payment Method Type for Onramp Transaction. E.g. of payment method Type:

For INR -> UPI, IMPS

For TRY -> TRY_BANK_TRANSFER

For AED -> AED-BANK-TRANSFER

For MXN -> SPEI

For IDR -> IDR_BANK_TRANSFER

depositAddress*

String

On chain destination for coin transfer

customerId*

String

Unique id received from /kyc/url

fromAmount*

String

Amount of fiat that the user would deposit.

toAmount*

String

An estimate of crypto quantity user will receive

rate*

String

Expected price estimate from quote endpoint

memo

String

Required for processing U.S. transactions on the Stellar blockchain.

fiatAccountId

String

Required only for AED transaction. The user must add a fiat account vi Add Fiat Account or Bank Widget Url and then fetch the fiatAccountId using theList FiatAccounts

  • status -> 0 is for unsuccessful request, 1 is for a successful one

  • transactionId -> unique identifier of the transaction

  • createdAt -> time at which the transaction was created.

  • fiatAmount -> The amount of fiat that the user would deposit to their bank account.

  • fiatPaymentInstructions -> This contains the payment instructions.

  • type -> payment method type

  • bank -> Bank account details to which the deposit needs to be made.

  • bankNotes -> additional information regrading bank account and current status.

  • otp -> reference number

  • status -> 0 is for unsuccessful request, 1 is for a successful one

  • transactionId -> unique identifier of the transaction

  • createdAt -> time at which the transaction was created.

  • fiatAmount -> The amount of fiat that the user would deposit to their bank account.

  • fiatPaymentInstructions -> This contains the payment instructions.

  • type -> payment method type

  • upi -> UPI details to which the deposit needs to be made.

  • upiNotes -> additional information regrading bank account and current status.

  • otp -> reference number (or aka confirmation code)

  • status -> 0 is for unsuccessful request, 1 is for a successful one

  • transactionId -> unique identifier of the transaction

  • createdAt -> time at which the transaction was created.

  • fiatAmount -> The amount of fiat that the user would deposit to their bank account.

  • fiatPaymentInstructions -> This contains the payment instructions.

    • Iban -> International Bank Account Number

    • Bic -> Bank Identifier Code

  • type -> payment method type

  • bank -> Bank account details to which the deposit needs to be made.

  • bankNotes -> additional information regrading bank account and current status.

  • otp -> reference number (or aka confirmation code)

Last updated